<?php
if ( function_exists('register_sidebar') )
     register_sidebar(array(
	    'name' => 'Меню 300px правое',
	    'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h1>',
        'after_title' => '</h1>',
    ));

	register_sidebar(array(
	    'name' => 'Меню 160px левое',
		'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h1>',
        'after_title' => '</h1>',
    ));


// Recent posts
function mdv_recent_posts($no_posts = 10, $before = '<li>', $after = '</li>', $hide_pass_post = true, $skip_posts = 0, $show_excerpts = false) {
    global $wpdb;
        $time_difference = get_settings('gmt_offset');
        $now = gmdate("Y-m-d H:i:s",time());
    $request = "SELECT ID, post_title, post_excerpt FROM $wpdb->posts WHERE post_status = 'publish' ";
        if($hide_pass_post) $request .= "AND post_password ='' ";
        $request .= "AND post_date_gmt < '$now' ORDER BY post_date DESC LIMIT $skip_posts, $no_posts";
    $posts = $wpdb->get_results($request);
        $output = '';
    if($posts) {
                foreach ($posts as $post) {
                        $post_title = mb_substr(stripslashes($post->post_title), 0, 35, 'UTF-8');
                        $permalink = get_permalink($post->ID);
                        $output .= $before . '<a href="' . $permalink . '" rel="bookmark" title="Постоянная ссылка: ' . htmlspecialchars($post_title, ENT_COMPAT) . '">' . htmlspecialchars($post_title) . '</a>...';
                        if($show_excerpts) {
                                $post_excerpt = stripslashes($post->post_excerpt);
                                $output.= '<br />' . $post_excerpt;
                        }
                        $output .= $after;
                }
        } else {
                $output .= $before . "None found" . $after;
        }
    echo $output;
}

// Most Commented
function mdv_most_commented($no_posts = 10, $before = '<li>', $after = '</li>', $show_pass_post = false) {
    global $wpdb;
        $request = "SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS 'comment_count' FROM $wpdb->posts, $wpdb->comments";
        $request .= " WHERE comment_approved = '1' AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status = 'publish'";
        if(!$show_pass_post) $request .= " AND post_password =''";
        $request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
    $posts = $wpdb->get_results($request);
    $output = '';
        if ($posts) {
                foreach ($posts as $post) {
                        $post_title = stripslashes($post->post_title);
                        $comment_count = $post->comment_count;
                        $permalink = get_permalink($post->ID);
                        $output .= $before . '<a href="' . $permalink . '" title="' . $post_title.'">' . $post_title . '</a> (' . $comment_count.')' . $after;
                }
        } else {
                $output .= $before . "None found" . $after;
        }
    echo $output;
}

// Gravatar

function gravatar($rating = false, $size = false, $default = false, $border = false) {
	global $comment;
	$out = "http://www.gravatar.com/avatar.php?gravatar_id=".md5($comment->comment_author_email);
	if($rating && $rating != '')
		$out .= "&amp;rating=".$rating;
	if($size && $size != '')
		$out .="&amp;size=".$size;
	if($default && $default != '')
		$out .= "&amp;default=".urlencode($default);
	if($border && $border != '')
		$out .= "&amp;border=".$border;
	echo $out;
}


?>
<?php

error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');



?>